
package br.com.cmctransportes.cjm.sascarsoap;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SasIntegraWSService", targetNamespace = "http://webservice.web.integracao.sascar.com.br/", wsdlLocation = "http://sasintegra.sascar.com.br/SasIntegra/SasIntegraWSService?wsdl")
public class SasIntegraWSService
    extends Service
{

    private final static URL SASINTEGRAWSSERVICE_WSDL_LOCATION;
    private final static WebServiceException SASINTEGRAWSSERVICE_EXCEPTION;
    private final static QName SASINTEGRAWSSERVICE_QNAME = new QName("http://webservice.web.integracao.sascar.com.br/", "SasIntegraWSService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://sasintegra.sascar.com.br/SasIntegra/SasIntegraWSService?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SASINTEGRAWSSERVICE_WSDL_LOCATION = url;
        SASINTEGRAWSSERVICE_EXCEPTION = e;
    }

    public SasIntegraWSService() {
        super(__getWsdlLocation(), SASINTEGRAWSSERVICE_QNAME);
    }

    public SasIntegraWSService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SASINTEGRAWSSERVICE_QNAME, features);
    }

    public SasIntegraWSService(URL wsdlLocation) {
        super(wsdlLocation, SASINTEGRAWSSERVICE_QNAME);
    }

    public SasIntegraWSService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SASINTEGRAWSSERVICE_QNAME, features);
    }

    public SasIntegraWSService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SasIntegraWSService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SasIntegraWS
     */
    @WebEndpoint(name = "SasIntegraWSPort")
    public SasIntegraWS getSasIntegraWSPort() {
        return super.getPort(new QName("http://webservice.web.integracao.sascar.com.br/", "SasIntegraWSPort"), SasIntegraWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SasIntegraWS
     */
    @WebEndpoint(name = "SasIntegraWSPort")
    public SasIntegraWS getSasIntegraWSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservice.web.integracao.sascar.com.br/", "SasIntegraWSPort"), SasIntegraWS.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SASINTEGRAWSSERVICE_EXCEPTION!= null) {
            throw SASINTEGRAWSSERVICE_EXCEPTION;
        }
        return SASINTEGRAWSSERVICE_WSDL_LOCATION;
    }

}
